Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 587782 - Remove jdk6 api usage from server/agent (except for server CLI)
Summary: Remove jdk6 api usage from server/agent (except for server CLI)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: No Component
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon-sprint9-bugs
TreeView+ depends on / blocked
 
Reported: 2010-04-30 20:39 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:48:47 UTC


Attachments (Terms of Use)

Description Charles Crouch 2010-04-30 20:39:33 UTC
[INFO]       [ERROR] Errors in 'jar:file:/home/hudson/.m2/jon-repository/org/rhq/rhq-core-domain/3.0.0-SNAPSHOT/rhq-core-domain-3.0.0-SNAPSHOT.jar!/org/rhq/core/domain/resource/flyweight/AutoGroupCompositeFlyweight.java'
[INFO]          [ERROR] Line 85: The method format(String, String, String) is undefined for the type String

Comment 1 Charles Crouch 2010-04-30 20:48:27 UTC
(3:46:05 PM) joseph: ok, jweiss ccrouch, I fixed lukas's usage of JDK6 classes
(3:46:09 PM) joseph: both committed to master
(3:46:26 PM) joseph: core/domain module should build cleanly now

Comment 2 Corey Welton 2010-08-12 16:48:47 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.